Subject: bug#27397: bug#1343: bug#27397: [PATCH] New commands for bulk tracing of elisp functions

From: Michael Albinus <[email-masked]>
Date: Tue, 13 Sep 2022 09:34:18 +0200

Phil Sainty <[email-masked]> writes:

Hi Phil,

>> There are also chatty functions, which ... add serious noise
>> For that reason, Tramp marks such functions with a function
>> property,
>> Or, dynamically, the global variable inhibit-trace could keep a
>> value
>> of such functions suppressed for trace.
>
> Oddly enough, this had also occurred to me yesterday as a useful
> improvement.

So it must be a good idea :-)

> No problem.  I think the example dates back to the info on tracing
> which used to appear in (info "(tramp) Traces and Profiles") but
> I'd noticed that had been deleted when I was rebasing this work.

Yep. After I had recognized that the instructions in the Tramp manual
aren't robust enough, I've moved this into Tramp core. It can be
activated now with a proper tramp-verbose.

> -Phil

Best regards, Michael.